package app;

import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.feature.swagger.XSwaggerFeature;

/**
 * 单体应用启动程序
 *
 * @author ZWT
 * @date 2023/11/29
 */
public class DeployPpsAllApplication {
    public static void main(String... args) {
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22060).naming("pps-all"));
        startup.config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&", 900));
        startup.enable(XSwaggerFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCorsFeature.class);
        startup.run(args);
    }
}
